Package org.apache.struts2.convention

# Class ClasspathConfigurationProvider

java.lang.Object
org.apache.struts2.convention.ClasspathConfigurationProvider

All Implemented Interfaces:
  `ConfigurationProvider`, `ContainerProvider`, `PackageProvider`, `DispatcherListener`

public class ClasspathConfigurationProvider extends Object implements ConfigurationProvider, DispatcherListener

Xwork will only reload configurations, if one ContainerProvider needs reloading, that's all this class does

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClasspathConfigurationProvider(Container container)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Not used.
  `void`
  `dispatcherDestroyed(Dispatcher du)`
  `void`
  `dispatcherInitialized(Dispatcher du)`
  `void`
  `init(Configuration configuration)`
  Not used.
  `void`
  `loadPackages()`
  Loads the packages using the `ActionConfigBuilder`.
  `boolean`
  `needsReload()`
  `void`
  `register(ContainerBuilder containerBuilder, LocatableProperties locatableProperties)`
  Does nothing.
  `void`
  `setDevMode(String mode)`
  `void`
  `setReload(String reload)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClasspathConfigurationProvider

    public ClasspathConfigurationProvider(Container container)

- ## Method Details

  - ### setDevMode

    public void setDevMode(String mode)

  - ### setReload

    public void setReload(String reload)

  - ### destroy

    public void destroy()
    Not used.
    Specified by:
      `destroy` in interface `ContainerProvider`

  - ### init

    public void init(Configuration configuration)
    Not used.
    Specified by:
      `init` in interface `ContainerProvider`
    Specified by:
      `init` in interface `PackageProvider`
    Parameters:
      `configuration` - configuration

  - ### register

    public void register(ContainerBuilder containerBuilder, LocatableProperties locatableProperties) throws ConfigurationException
    Does nothing.
    Specified by:
      `register` in interface `ContainerProvider`
    Parameters:
      `containerBuilder` - container builder
      `locatableProperties` - locatable properties
    Throws:
      `ConfigurationException` - in case of configuration errors

  - ### loadPackages

    public void loadPackages() throws ConfigurationException
    Loads the packages using the `ActionConfigBuilder`.
    Specified by:
      `loadPackages` in interface `PackageProvider`
    Throws:
      `ConfigurationException` - in case of configuration errors

  - ### needsReload

    public boolean needsReload()
    Specified by:
      `needsReload` in interface `ContainerProvider`
    Specified by:
      `needsReload` in interface `PackageProvider`
    Returns:
      true if devMode, reload and actionConfigBuilder.needsReload()

  - ### dispatcherInitialized

    public void dispatcherInitialized(Dispatcher du)
    Specified by:
      `dispatcherInitialized` in interface `DispatcherListener`

  - ### dispatcherDestroyed

    public void dispatcherDestroyed(Dispatcher du)
    Specified by:
      `dispatcherDestroyed` in interface `DispatcherListener`